%global apiver  1
%global major 0
%define libname %mklibname adwaita %{apiver} %{major}
%define girname %mklibname adwaita-gir %{apiver}
%define devname %mklibname -d adwaita

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libadwaita
Version:        1.2.2
Release:        %mkrel 1
Summary:        Building blocks for modern GNOME applications
Group:		System/Libraries
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/1.1/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gi-docgen
BuildRequires:  intltool
BuildRequires:  lib64appstream-glib-devel
BuildRequires:  meson
BuildRequires:  sassc
BuildRequires:  vala

BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
Requires: lib64adwaita1_0

%description
Building blocks for modern GNOME applications.

%package        -n %libname
Summary:        Library for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description    -n %libname
Library for %{name}.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       vala

%description    -n %devname
Development files for %{name}.

%package        demo
Summary:        Demo files for %{name}
Requires:       %{libname} = %{version}-%{release}

%description    demo
Demo files for %{name}.


%prep
%setup -qn %{name}-%{tarball_version}
%apply_patches

%build
%meson \
    -Dgtk_doc=false \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%doc README.md AUTHORS NEWS

%files -n %libname
%{_libdir}/*-%{apiver}.so.%{major}*
%{_libdir}/girepository-1.0/Adw-%{apiver}.typelib

%files -n %devname
%{_datadir}/gir-1.0/Adw-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc

%files demo
%{_bindir}/adwaita-%{apiver}-demo
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/metainfo

%changelog
* Sun Feb 12 2023 tex - 1.2.2-1pclos2023
- new version

* Wed Sep 28 2022 tex - 1.2.0-1pclos2022
- new version

* Sun Sep 04 2022 tex - 1.1.5-1pclos2022
- new version

* Sun Aug 21 2022 tex - 1.1.4-1pclos2022
- create pkg
